Page 1 of 3 123 LastLast
Results 1 to 20 of 58

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: 3GS Unlocking

  1. #1
    Default 3GS Unlocking
    I just got 3 Iphone 3gs for my nephews overseas. Looking to jailbreak and unlock.
    Phone 1: Version 3.0.1 (7A400) Baseband 04.26.08
    Phone 2: Version 4.2.1 (8C148) Baseband 05.15.04
    Phone 3: Version 4.2.1 (8C148) Baseband 05.15.04

    From my reading I think that im seeing that they cant be unlocked? Pretty confused. Could use some direction.

    Thanx

  2. #2

  3. #3
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    iPhone 1 can be unlocked as it is.
    iPhone 2 and 3 need to have the basebands upgraded to 6.15.00 (the iPad bb) but this can cause malfunction in GPS. It also restricts the devices to using only custom firmwares once this is done, on firmwares 4.2.1 and higher.

    Ultrasn0w will unlock all devices, including #1, and 2 & 3 only after you've done the baseband upgrade.

  4. #4
    Will the iphone 2 and 3 unlock be tethered or untethered?
    Last edited by diabolicalpanda; 12-01-2011 at 08:02 PM. Reason: typo

  5. #5
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    There isn't really a tethered or untethered unlock. Those are typically jailbreaking terms. Jailbreaking and unlocking are not the same thing.

    If you keep them all on 4.2.1, it is untethered for the jailbreak. You might consider upgrading iPhone 1 to 4.1 at least (with a custom fw, do not use a stock fw or youll screw up the nice baseband it still has). They're all untethered up to 4.3.3 actually. But upgrading to any fw except 4.1 requires SHSHs.

    It gets real complicated to unlock on iOS 5...if you really want me to get into that lol...

    Essentially all old bootrom 3GS will have untethered jailbreaks on any fw version. New boot will have tethered jailbreaks on 4.3.4 and higher. All devices need SHSHs to restore to any fw version besides 5.0.1 and 4.1. SHSHs cannot be saved now if they weren't saved prior. Only SHSHs can be saved for any device is whatever fw version it is already currently on.

    Hope this isn't too confusing, but I feel it's best to get all this out there so you know what you're dealing with, if you don't know already.

  6. #6
    Y
    I am sorry, when i said unlock, i meant jailbreak. So can i directly do a untethered jailbreak using greenpoison and then do unlock with redsnow? Sorry for hijacking, but i have same phone as OP's iphone 2 and 3. Thanks

  7. #7
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    If you use iDetector you can see if you have the old or new bootrom. If it's the old bootrom, it doesn't matter what fw you go to, it will be untethered. If it is the new boot, you will have an untethered jb on any fw version below 4.3.3. So if you stay on 4.2.1, it will be untethered, yes.

  8. The Following User Says Thank You to i.Annie For This Useful Post:

    diabolicalpanda (12-02-2011)

  9. #8
    Yes, I have the new bootroom. So should I just use greenpoison to do untethered jailbreak followed by redsnow to unlock the phone.

    Iphone 3GS
    Os version 4.2.1
    Baseband 5.15.04
    New boot room
    Currently on AT&T.
    Taking overseas as the case with OP.

    Lastly where can I find the unlocking guide for my scenario? Thanks for all the help. Hope it solves the questions of OP and me

  10. #9
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Redsn0w is a jailbreak tool. It doesn't unlock. Yes you could use Greenpois0n. You won't be able to unlock that phone, the baseband isn't unlockable. You'd have to update the baseband with Redsn0w. Then you would use Ultrasn0w in Cydia to unlock.

    So you should just jb it with Greenpois0n if you want, and use Redsn0w to simply upgrade the baseband. Note that upgrading the baseband to the iPad baseband 6.15.00 can cause GPS malfunction. After you flash the iPad bb onto your phone, then you can go into Cydia and install Ultrasn0w to unlock.

  11. #10
    Thanks for helping me out. Sorry for being such a noob, but, can I use redsn0w to upgrade the baseband and unlock as well. And if I do that, will it be an untethered jailbreak?

  12. #11
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Quote Originally Posted by i.Annie View Post
    After you flash the iPad bb onto your phone, then you can go into Cydia and install Ultrasn0w to unlock.
    Redsn0w is a jailbreak tool, it does not unlock (unless it is an iPhone 2G).

  13. #12
    I am so sorry for mentioning redsn0w for unlocking. I did mean jailbreak. I am a bit tired after the last set of exams.
    What would be your suggested way of doing untethered jailbreak and unlocking the iphone 3gs with the specs I mentioned above. I apologize for being redundant, but I want to ensure that I know exactly what I want to do before I start doing it. Thank you

  14. #13
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Nothing to be sorry about. I just want to be sure you know what is what so you don't get turned around and mess something up. It sucks to try to recover when something doesn't go right, I know that lol.

    If you're on 4.2.1 now, just run Greenpois0n on it for a fast and easy jailbreak.

    Then when that's done, use redsn0w 0.9.5b5-5 (I think that's the right version)...to upgrade the baseband. Do not try to install Cydia with it, select only to upgrade the bb.

    When that's finished, go into Cydia on your springboard and make sure in the Changes tab that everything is updated. Then go back into Cydia and install Ultrasn0w. Then you should be all set.

  15. #14
    Thanks for the detailed steps. So I will do all the steps you mentioned above. I am using greenpois0n RC6 and redsn0w 0.9.5b5-5.

    When in Cydia, what changes should I check in the Changes tab? I will get going once I have your confirmation Thanks

  16. #15
    Super Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,942
    Thanks
    76
    Thanked 2,753 Times in 2,643 Posts

    Use Redsn0w 0.9.6b8 to update to ipad baseband for IOS 4.2.1, Redsn0w 0.9.5b5-5 is an older version and can cause ipad update failure.

  17. The Following User Says Thank You to iYeow For This Useful Post:

    diabolicalpanda (12-03-2011)

  18. #16
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Yeah do that ^^

    And in the Changes tab it will tell you what updates are needed. All you need to do is hit the "upgrade all" button on the top right corner.

  19. #17
    While using Redsn0w 0.9.6b8, where can I get the iPhone 3GS 4.2.1 IPSW to be used?

    I am already on 4.2.1 firmware FYI..Thanks

  20. #18
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    You can download it in the Downloads section here on MMi.

  21. #19
    Thanks, found the firmware. Is redsn0w 0.9.6b8 same as 0.9.6rc8? I am unable to find 0.9.6b8 version of redsn0w
    I am on Windows 7 btw

  22. #20
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I think rc8 should be fine

Page 1 of 3 123 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •